%global __provides_exclude ^perl\\(DBD::Pg\\)$
%global __requires_exclude ^perl\\(DBI\\)$

Summary:        A PostgreSQL interface for Perl
Name:           perl-DBD-Pg
Version:        3.16.0
Release:        6%{?dist}
License:        GPL-2.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/DBD-Pg
Source0:        https://cpan.metacpan.org/authors/id/T/TU/TURNSTEP/DBD-Pg-%{version}.tar.gz 

BuildRequires:  make gcc
BuildRequires:  coreutils findutils
BuildRequires:  perl-devel perl-generators perl-interpreter perl(strict) perl(warnings)
BuildRequires:  perl(:VERSION) >= 5.8.1 perl(Carp) perl(Config) perl(constant)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(File::Spec) perl(lib)
BuildRequires:  perl(DBI) >= 1.614 perl(Exporter) libpq-devel
BuildRequires:  perl(if) perl(version) perl(XSLoader)
BuildRequires:  perl(charnames) perl(Cwd) perl(Data::Dumper) perl(Fcntl)
BuildRequires:  perl(File::Temp) perl(open) perl(POSIX) perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Simple) perl(Time::HiRes) perl(utf8) postgresql-server
BuildRequires:  perl(Encode) perl(Time::Piece)
Requires:       perl(DBI) >= 1.614

%description
This module works with the DBI module to provide access to PostgreSQL databases.

%prep
%autosetup -n DBD-Pg-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSES/*
%doc Changes README README.dev TODO
%{perl_vendorarch}/DBD/
%{perl_vendorarch}/auto/DBD/
%{perl_vendorarch}/Bundle/DBD/Pg.pm
%{_mandir}/man3/*.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.16.0-6
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.16.0-5
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Thu Aug 3 2023 Shuo Wang <abushwang@tencent.com> - 3.16.0-4
- Rebuilt for libpq 15.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.16.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.16.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 15 2022 Wang Guodong <gordonwwang@tencent.com> - 3.16.0-1
- package init.
